Skip to Content
SeyloDocs
API referenceAI assistant

Get an AI conversation

GET
/api/v1/ai.conversation

Returns one of the caller's conversations with all its messages.

Any signed-in caller. Not available to MCP clients or the assistant.

Authorization

cookieseylo_session<token>

Query Parameters

conversationId*string

Panel-issued id.

Match^[a-z0-9]{16}$

Response Body

Success.

application/json
  1. response
conversation*
messages*array<>
Example Request
curl -X GET 'https://example.com/api/v1/ai.conversation?conversationId=string'
Example Response
{  "conversation": {    "id": "string",    "title": "string",    "context": {      "projectId": "string",      "serviceId": "string"    },    "costUsd": 0,    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  },  "messages": [    {      "id": "string",      "role": "user",      "parts": [        {          "type": "text",          "text": "string"        }      ],      "model": "haiku",      "status": "streaming",      "error": "string",      "createdAt": "2019-08-24T14:15:22Z"    }  ]}